#
# spec file for package python3-PyWebDAV3-GNUHealth
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mod_name PyWebDAV3-GNUHealth

Name:           python3-%{mod_name}
BuildRequires:  python3-setuptools
Version:        0.10.2
Release:        1.1
Source:         https://files.pythonhosted.org/packages/source/P/%{mod_name}/%{mod_name}-%{version}.tar.gz
Url:            https://pypi.io/project/%{mod_name}/

Requires:       python3-setuptools
Conflicts:      python3-PyWebDAV3
Conflicts:      python-PyWebDAV
BuildArch:      noarch  

Summary:        Python3-based WebDAV server, patched for GNU Health
License:        GPL-3.0+
Group:          Productivity/Networking/Web/Servers
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a Python3 WebDAV implementation (level 1 and 2) that features a library for integrating WebDAV server capabilities into applications.
A example on how to use the library is included. This server can be run as daemon.


%prep
%setup -q -n %{mod_name}-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%_prefix --root=%buildroot 

%files
%defattr(-,root,root)
%doc README doc/*
%{python3_sitelib}/*
%{_bindir}/davserver

%changelog
* Sat Jul 15 2017 axel.braun@gmx.de
- Version 0.10.2
  fix incompatibility with Python 3.4 (byte-conversion)
* Wed Jun 28 2017 jengelh@inai.de
- Trim irrelevant parts from description.
* Sat Jun 24 2017 axel.braun@gmx.de
- Version 0.10.1
  initial build on OBS
